* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  cursor: url(../Images/cursor/default.png), auto;
}

body {
  /* background-color: papayawhip; */
  background-image: url(https://i.pinimg.com/736x/b8/74/12/b874121507841549a3b819af804a75dd.jpg);
}

p {
  color: palevioletred;
}

.highlight {
  text-transform: uppercase;
  background-color: gold;
}

.gray {
  color: gray;
}

div {
  padding: 0
}

.updates {
  background-image: url(../Images/hellokittydim.jpg);
  border-color: hotpink;
  border-style: solid;
  min-height: 10rem;
  max-width:280px;
  padding: 0.5em;
  margin-bottom: 0.5em;
}

.updatesContent {
  display: flex;
  flex-direction: column-reverse;
  max-height: 10rem;
  overflow-y: scroll;
  scrollbar-width: thin;
  scrollbar-color: pink black;
}

.updates h2 {
  color: deeppink;
  text-shadow: 2px 2px black;
  padding-bottom: 10px;
}

.updatesPost p {
  font-family: vividly;
  color: black;
}

.popup {
  /* display: inline-block; */
  position: absolute;
  top: 200px;
  left: 200px;
  border-style: solid;
  background-color: lightpink;
  border-color: palevioletred;
  border-width: 0.5em;
  visibility: hidden;
}

.popup p {
  font-size: 500%;
  color: palevioletred;
}

.chainsaw {
  width: fit-content;
  position: absolute;
  right: -50px;
  bottom: -30px;
}

.decoration-cupcake {
  width: fit-content;
  position: absolute;
  rotate: 5deg;
  right: -10px;
  /* padding-left: 200px; */
  /* padding-bottom: 20px; */
  /* padding-right:10px; */
}

.sanrio {
  position: absolute;
  width: fit-content;
  bottom: -50px;
  right: 200px;
}

.navi p {
  max-height: 29.6px;
}

.webBody {
  margin-top: 2em;
  margin-left: 5em;
  margin-right: 5em;
  /* justify-content: center; */
  justify-items: center;
  /* width: 50dvh; */
  /* width: 100%; */
  /* max-width: 1500px; */
  border-style: solid;
  /* background-color: black; */
  background-image: url(../Images/bgpipi.jpg);
}

.headerContents {
  padding-top: 15px;
  padding-left: 20px;
  height: fit-content;
}

.containerHeader {
  /* min-height: 200px; */
  /* padding-bottom: 50px; */
  /* padding-top: 50px; */
  width: 100%;
  height: 100%;
  position: relative;
  background-color: black;
  /* background-repeat: round; */
  background-image: url(../Images/homura-dither.png);
  background-size: cover;
  background-position-y: center;
  /* image credit 重复、我将重复无数次 https://danbooru.donmai.us/posts/11132012?q=kaname_madoka_%28magical_girl%29 */
  border-style: solid;
  border-color: palevioletred;
  display: flex;
}

.mainSection {
  width: 100%;
  position: relative;
  display: flex;
  height: 70dvh;
  max-height: fit-content;
  /* max-height: 500px; */
  /* overflow: hidden; */
}

.cbox {
  background-color: black;
  border-color: deeppink;
  border-style: solid;
  max-width: 280px;
}

.sidebarL {
  min-height: 400px;
  /* min-width: 192px; */
  max-width: 192px;
  max-height: max-content;
  width: 20%;
  /* max-height: 500px; */
  /* width: fit-content; */
  border-style: solid;
  flex: auto;
  border-color: palevioletred;
  overflow-y:scroll;
  scrollbar-width: thin;
  scrollbar-color: pink black;
  /* width: fit-content; */
}

.buttonList {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1px;
}

.buttonLink a, .buttonLink img {
  height: 100%;
  width: 100%;
}

.middle {
  max-height: max-content;
  position: relative;
  border-color: hotpink;
  border-style: solid;
  /* min-width:200px; */
  width: 60%;
  /* min-height: 400px; */
  flex: auto;
  padding: 16px;
  scrollbar-width: thin;
  scrollbar-color: pink black;
  overflow-y: scroll;
}

.middle h1, h2 {
  color: hotpink;
  text-shadow: 2px 2px black;
  padding-bottom: 9px;
  font-family: setofont;
  font-size: 30px;
}

.middle p, ul {
  color: palevioletred;
  text-shadow: 2px 2px white;
  font-family: vividly;
  font-size: 25px;
  padding-left: 5px;
}

.middle ul {
  padding-top: 5px;
  padding-left: 15px;
}

.sidebarR {
  /* min-width: 300px; */
  min-height: 400px;
  max-height: fit-content;
  /* height:fit-content; */
  max-width: 310px;
  width: 30%;
  /* padding: 10px; */
  border-color: hotpink;
  border-style: solid;
  flex: auto;
  position: relative;
}

.sidebarRoverflow {
  padding: 10px;
  height: 100%;
  /* max-height: 495.2px; */
  scrollbar-width: thin;
  scrollbar-color: pink black;
  overflow-y: scroll;
  overflow-x: hidden;
}

/* .sidebarRcontents { */
  /* overflow-y: scroll; */
  /* height: fit-content; */
/* } */

.magical {
  width: fit-content;
  margin-top: -30px;
  margin-left: 30px;
  padding-bottom: 20px;
}

.interest {
  text-align:center;
  align-items: center;
  display:flex;
  justify-content: center;
}

.container {
  display: flex;
  /* max-width: 175px; */
  width: 100%;
}

/* ============== Box ============= */

.box {
  width: 100%;
  /* padding: 10px; */
  /* max-width: 175px; */
  /* border-style: solid; */
  /* background-color: black; */
  /* background-image: ; */
  /* border-color: hotpink; */
}

.box .interest img {
  width: 100%;
}

.box img {
  /* width: 220px; */
  align-self: center;
}

.box p {
  color: black;
  background: linear-gradient(90deg, #cf0082, white);
  /* border: 5px solid transparent; */
  padding: 5px;
  border-image-source: url(../Images/borders/glitter_heart.gif);
  border-image-repeat: space;
  border-image-slice: 10 10 10 10;
  border-image-width: 3px;
  /* padding-right: 50px; */
  font-family: Minecraft;
  font-size: 10px;
}

/* ============== MARQUE ============= */

.marquee {
  width: 100%;
  height: 60px;
  border-style: solid;
  border-color: hotpink;
  border-bottom: 0px;

  overflow: hidden;
  position: relative;
}

.marquee-2 {
  width: 100%;
  height: 25px;
  border-style: solid;
  border-color: hotpink;
  border-top: 0px;

  overflow: hidden;
  position: relative;
}

.marquee-content {
  max-height: 75px;
}

.marquee-content-thin {
  max-height: 25px;
}

.marquee div {
  display: block;
  width: 400%;
  height: 100px;

  position: absolute;
  overflow: hidden;

  animation: marquee 50s linear infinite;
}

.marquee-2 div {
  display: block;
  width: 400%;
  height: 100px;

  position: absolute;
  overflow: hidden;

  animation: marquee2 50s linear infinite;
}

.marquee span {
  float: left;
  width: 50%;
}

@keyframes marquee {
  0% {
    left: 0;
  }

  50% {
    left: -90%;
  }

  100% {
    left: 0;
  }
}

@keyframes marquee2 {
  0% {
    left: -110%;
  }

  50% {
    left: 0%;
  }

  100% {
    left: -110%;
  }
}

/* ============== HEADER ============= */
div .pfp {
  padding-top: 10px;
  width: fit-content;
  height: 100px;
}

div .pfp img {
  border-radius: 50%;
  height: 100px;
}

footer {
  /* justify-content: center; */
  /* align-content: center; */
  /* align-items: center; */
  /* align-self: center; */
  padding: 1em;
  justify-items: center;
  font-family: vividly;
  /* justify-self: center; */
  background: linear-gradient(180deg, hotpink, white);
  width: 100%;
}

@font-face {
  font-family: Minecraft;
  src: url("fonts/Minecraft.otf");
}

@font-face {
  font-family: basiic;
  src: url("fonts/basiic.ttf");
}

@font-face {
  font-family: vividly;
  src: url("fonts/Vividly-Regular.ttf");
}

@font-face {
  font-family: setofont;
  src: url("fonts/setofont.ttf");
}
